<?php
/**
 * This example shows sending a message using PHP's mail() function.
 */
 

require '../PHPMailerAutoload.php';

$id=$_REQUEST['id'];

include("../../conexion.php");

include("../../admin/testimonios/pdf.php");

$result=mysql_query("SELECT * FROM configuracion where co_codi=1;",
$conexion);
while($row=mysql_fetch_row($result)){
$N=$N+1;
	$xco_codi=$row[0];
	$xco_ema1=$row[1];		
	$xco_ema2=$row[2];
	$xco_nome=$row[4];		
}

$r_testimonio=mysql_query("SELECT * FROM testimonios t where te_codi=$id;",
$conexion);
while($row_testimonio=mysql_fetch_array($r_testimonio)){
	$id=$row_testimonio['te_codi'];
	$xrespuesta=$row_testimonio['te_mi_respuesta'];
	
	//$xlastname = $_REQUEST["xlastname"];
	//$xfirstname = $_REQUEST["xfirstname"];
	//$xtelephone = $_REQUEST["xtelephone"];
	$xemail = $row_testimonio['te_email'];
	
	/*
	$xcity = $_REQUEST["xcity"];			
	$xpostalcode = $_REQUEST["xpostalcode"];
	$xreason = $_REQUEST["xreason"];
	$xcontact = $_REQUEST["xcontact"];	
	$xmensaje = $_REQUEST["xmensaje"];				
	*/
	$f_nombre=$row_testimonio['te_loca'];
	
}

//if($r_guarda_t){
		
	//Create a new PHPMailer instance
	$mail = new PHPMailer;
	//Set who the message is to be sent from
	$mail->setFrom($xco_ema1, $xco_nome);
	//Set an alternative reply-to address
	$mail->addReplyTo($xco_ema2, $xco_nome);
	//Set who the message is to be sent to
	$mail->addAddress($xemail, $f_nombre);
	//Set the subject line
	$mail->Subject = 'Cotización';
	//Read an HTML message body from an external file, convert referenced images to embedded,
	//convert HTML into a basic plain-text alternative body
	
	//url donde se encuentra ubicado el form
	$url = "http://www.ismypage.com/phpmailer/examples/plantilla_cotizacion_confirmacion.php";
	//Los datos a enviar cómo parámetros
	$datos = array('id' => $id  );

	//Indicamos que utilizamos el protocolo http, método post, cabecera de formulario, y los parámetros de la consulta.
	$opciones = array('http' => array(
					'method'  => 'POST',
					'header'  => 'Content-type: application/x-www-form-urlencoded',
					'content' => http_build_query($datos)
	));

	//flujo de opciones.
 	$contexto  = stream_context_create($opciones);
 
	//Solicitar el contenido
	//$respuesta = file_get_contents($url, false, $contexto);
	$mail->msgHTML(file_get_contents($url, false, $contexto) );

	//Imprimimos la respuesta del servidor
	//echo $respuesta;
	
	
	//$mail->msgHTML(file_get_contents('plantilla_contactos.php'), dirname(__FILE__));
	
	
	//Replace the plain text body with one created manually
	//$mail->AltBody = 'Este es el texto plano que corresponde a parte del cuerpo del mensaje.';
	$mail->AltBody = $xemail;
	
	//Attach an image file
	$mail->addAttachment('../../mpdf/tmp/'.$id.'.pdf');
	//$mail->addAttachment('images/phpmailer.png');
	
	//send the message, check for errors
	
	
	
	
	
	/*******  ENVIO DE EMAIL AL CLIENTE *****/
	/*
	$mail2 = new PHPMailer;
	$mail2->setFrom($xco_ema1, $xco);
	$mail2->addAddress($xemail, $f_nombre);
	$mail2->Subject = 'Contactos y sugerencias';

	$url2 = "http://www.ismypage.com/phpmailer/examples/plantilla_contactos_confirmacion.php";
	
	$mail2->msgHTML(file_get_contents($url2, false, $contexto) );	
	$mail2->send();
	*/
	
	
	if (!$mail->send()) {
		echo "Error en el envio: " . $mail->ErrorInfo;
		
		?>
			<script language="javascript">
			alert("Sucedio un error en el envio.");
			</script>
	
		<?
		
		
	} else {
	
		$r_guarda_t=mysql_query("update testimonios set te_cotizacion_enviada=1 where te_codi=$id;",	
		$conexion);
		
		?>
			<script language="javascript">
			alert("La cotizacion ha sido enviado satisfactoriamente.");
			</script>
	
		<?
		//echo "El Mensaje ha sido enviado satisfactoriamente...";
	}

//}else{
	//echo "Error en el registro de datos. Vuelva a intentar.";
//}	